.lens_intro {
  display: flex;
  flex-direction: column;
  gap: 2.778vw /** 40px */;
  width: 100%;
  margin-bottom: 7.778vw /** 112px */;

  .lens_title {
    display: flex;
    flex-direction: column;
    gap: 0.694vw /** 10px */;

    .lens_t_1 {
      font-family: var(--font-family);
      font-weight: 500;
      font-size: 3.333vw /** 48px */;
      line-height: 112%;
      letter-spacing: -0.02em;
      color: var(--main-black);
    }

    .lens_t_2 {
      font-family: var(--font-family);
      font-weight: 600;
      font-size: 1.111vw /** 16px */;
      line-height: 136%;
      letter-spacing: -0.02em;
      color: var(--main-black);
      /* opacity: 0.4; */
    }
  }

  .lens_intro-cards {
    /* display: flex;
    flex-direction: row; */
    gap: 0.556vw /** 8px */;
    flex-wrap: wrap;
    display: grid;
    grid-template-columns: repeat(8, 1fr);
    grid-auto-rows: 1fr;

    .lens_intro-card {
      display: flex;
      flex-direction: column;
      position: relative;
      width: fit-content;
      gap: 1.111vw /** 16px */;
      grid-column: span 2;
      padding: 1.111vw /** 16px */;
      background: var(--white);
      border-radius: 0.556vw /** 8px */;
      width: 100%;
      transition: background 0.3s ease-out;
      cursor: pointer;

      .l_card-prev {
        position: relative;
        width: fit-content;
        flex-shrink: 0;

        .l_card-img {
          width: 9.444vw /** 136px */;
          height: 9.167vw /** 132px */;
        }

        .l_card-icon {
          position: absolute;
          border-radius: 69.444vw /** 1000px */;
          padding: 0.972vw /** 14px */;
          background: var(--background-main);
          bottom: -0.278vw /** -4px */;
          right: -1.389vw /** -20px */;
          width: 3.75vw /** 54px */;
          height: 3.75vw /** 54px */;
          align-items: center;
          justify-content: center;

          & > * {
            display: flex;
            width: 100%;
            height: 100%;
          }
        }
      }

      .l_card-wrap_info {
        display: flex;
        flex-direction: column;
        gap: inherit;
        flex-grow: 1;

        .l_card-info {
          display: flex;
          flex-direction: column;
          gap: 0.278vw /** 4px */;

          .l_card-purpose {
            font-family: var(--font-family);
            font-weight: 500;
            font-size: 1.944vw /** 28px */;
            line-height: 110%;
            letter-spacing: -0.02em;
            color: var(--main-black);
          }

          .l_card-desc {
            font-family: var(--font-family);
            font-weight: 600;
            font-size: 1.111vw /** 16px */;
            line-height: 136%;
            letter-spacing: -0.02em;
            color: var(--main-black);
            opacity: 0.4;
          }
        }
      }

      .head-help-card {
        font-family: var(--font-family);
        font-weight: 500;
        font-size: 2.778vw /** 40px */;
        line-height: 110%;
        letter-spacing: -0.02em;
        color: var(--main-black);
        transition: color 0.3s ease-out;
      }

      .wrap-svg-help {
        display: flex;
        border-radius: 5.556vw /** 80px */;
        padding: 0.694vw /** 10px */;
        background: rgba(247, 247, 247, 1);
        width: 2.778vw /** 40px */;
        aspect-ratio: 1;
        margin-top: auto;
        margin-left: auto;

        img,
        svg {
          width: 100%;
          height: 100%;
          transition: transform 0.3s ease-out;

          rect {
            fill: none;
          }
          path {
            transition: stroke 0.3s ease-out;
          }
        }
      }

      &.help-card {
        background: #f1f0f1;
      }

      @media (hover: hover) {
        &:not(.help-card):hover {
          background: #f1f0f1;

          .l_card-select {
            background: var(--white);
            svg {
              transform: rotate(90deg);
              rect {
                fill: #f1f0f1;
              }
            }
          }
        }
        &.help-card:hover {
          background: #8e00ff;

          .head-help-card {
            color: var(--white);
          }

          .wrap-svg-help {
            background: rgba(247, 247, 247, 0.1);
          }

          svg {
            transform: rotate(90deg);

            path {
              stroke: var(--white);
            }
          }
        }
      }
    }
  }
}

/* @media (hover: hover)  */

@media (max-width: 1024px) {
  .lens_intro {
    gap: 5.495vw /** 40px */;
    margin-bottom: 15.385vw /** 112px */;

    .lens_title {
      gap: 1.374vw /** 10px */;

      .lens_t_1 {
        font-size: 6.593vw /** 48px */;
      }

      .lens_t_2 {
        font-size: 2.473vw /** 18px */;
      }
    }

    .lens_intro-cards {
      gap: 1.099vw /** 8px */;
      grid-template-columns: 1fr 1fr;

      .lens_intro-card {
        gap: 2.198vw /** 16px */;
        padding: 2.198vw /** 16px */;
        border-radius: 1.099vw /** 8px */;
        grid-column: auto;

        &.help-card {
          display: none;
        }

        .l_card-prev {
          .l_card-img {
            width: 18.681vw /** 136px */;
            height: 18.132vw /** 132px */;
          }

          .l_card-icon {
            padding: 1.923vw /** 14px */;
            bottom: -0.549vw /** -4px */;
            right: -2.747vw /** -20px */;
            width: 7.418vw; /** 54px */
            height: 7.418vw; /** 54px */
          }
        }

        .l_card-wrap_info {
          .l_card-info {
            gap: 0.549vw /** 4px */;

            .l_card-purpose {
              font-size: 3.846vw /** 28px */;
            }

            .l_card-desc {
              font-size: 2.198vw /** 16px */;
            }
          }
        }

        .head-help-card {
          font-size: 5.495vw /** 40px */;
        }

        .wrap-svg-help {
          border-radius: 10.989vw /** 80px */;
          padding: 1.374vw /** 10px */;
          width: 5.495vw /** 40px */;
        }
      }
    }
  }
}

/* lens button */
.antElementor.button-lens-select {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 0.556vw /** 8px */;
  width: fit-content;
  cursor: pointer;
  transition: background 0.3s ease-out;
  margin-top: auto;

  border-radius: 5.556vw /** 80px */;
  padding: 0.417vw /** 6px */ 0.694vw /** 10px */ 0.417vw /** 6px */ 0.417vw
    /** 6px */;
  background: var(--background-main);

  &.lens-pre-select {
    margin-top: 0;
  }

  svg {
    width: 1.667vw /** 24px */;
    height: 1.667vw /** 24px */;
    transition: transform 0.3s ease-out;

    rect {
      transition: fill 0.3s ease-out;
    }
  }

  span {
    font-family: var(--font-family);
    font-weight: 500;
    font-size: 0.972vw /** 14px */;
    line-height: 100%;
    letter-spacing: -0.01em;
    color: var(--main-black);

    &.mob {
      display: none;
    }

    @media (max-width: 727px) {
      &.desc {
        display: none;
      }
      &.mob {
        display: flex;
      }
    }
  }
}

@media (max-width: 1024px) {
  .button-lens-select {
    gap: 1.099vw /** 8px */;
    border-radius: 10.989vw /** 80px */;
    padding: 0.824vw /** 6px */ 1.374vw /** 10px */ 0.824vw /** 6px */ 0.824vw
      /** 6px */;

    svg {
      width: 3.297vw /** 24px */;
      height: 3.297vw /** 24px */;
    }

    span {
      font-size: 1.923vw /** 14px */;
    }
  }

  /* lens button */
  .antElementor.button-lens-select {
    gap: 1.099vw /** 8px */;
    border-radius: 10.989vw /** 80px */;
    padding: 0.824vw /** 6px */ 1.374vw /** 10px */ 0.824vw /** 6px */ 0.824vw
      /** 6px */;

    svg {
      width: 3.297vw /** 24px */;
      height: 3.297vw /** 24px */;
    }

    span {
      font-size: 1.923vw /** 14px */;
    }
  }
}

@media (max-width: 727px) {
  .lens_intro {
    gap: 6.25vw /** 20px */;
    margin-bottom: 25vw /** 80px */;

    .lens_title {
      gap: 2.5vw /** 8px */;

      .lens_t_1 {
        font-size: 8.75vw /** 28px */;
      }

      .lens_t_2 {
        font-size: 4.375vw /** 14px */;
        opacity: 1;
        width: 57.813vw; /** 185px */
      }
    }

    .lens_intro-cards {
      gap: 2.5vw /** 8px */;
      display: flex;
      flex-direction: column;

      .lens_intro-card {
        gap: 5vw /** 16px */;
        flex-direction: row;
        padding: 5vw /** 16px */;
        border-radius: 2.5vw /** 8px */;

        .l_card-prev {
          .l_card-img {
            width: 31.25vw /** 100px */;
            height: 31.25vw /** 100px */;
          }

          .l_card-icon {
            padding: 3.125vw /** 10px */;
            bottom: -1.25vw /** -4px */;
            right: 0vw /** 0px */;
            width: 12.5vw; /** 40px */
            height: 12.5vw; /** 40px */
          }
        }
        .l_card-wrap_info {
          gap: 2.5vw /** 8px */;

          .l_card-info {
            gap: 1.25vw /** 4px */;

            .l_card-purpose {
              font-size: 5vw /** 16px */;
            }

            .l_card-desc {
              font-size: 3.75vw /** 12px */;
            }
          }
        }

        .head-help-card {
          font-size: 12.5vw /** 40px */;
        }

        .wrap-svg-help {
          border-radius: 25vw /** 80px */;
          padding: 3.125vw /** 10px */;
          width: 12.5vw /** 40px */;
        }
      }
    }
  }
}

@media (max-width: 727px) {
  .antElementor.button-lens-select {
    gap: 2.5vw /** 8px */;
    border-radius: 25vw /** 80px */;
    padding: 1.875vw /** 6px */ 3.125vw /** 10px */ 1.875vw /** 6px */ 1.875vw
      /** 6px */;
    width: fit-content;

    svg {
      width: 6.25vw /** 20px */;
      height: 6.25vw /** 20px */;
    }

    span {
      font-size: 3.75vw /** 12px */;
    }
  }
}

/* lens popup */

#popupLens.popup .popupFitting-content {
  width: 520px;
  padding: 24px 40px 0 40px;
  overflow: hidden;

  .step_slides {
    padding-bottom: 16px;
    width: 100%;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    gap: 4px;

    &.hidden {
      display: none;
    }

    .step {
      display: flex;
      border-radius: 1000px;
      width: 100%;
      height: 4px;
      background: #e1e1e1;
      overflow: hidden;
      position: relative;

      &.no-visible {
        display: none;
      }

      &::before {
        content: "";
        position: absolute;
        inset: 0;
        width: 100%;
        height: 100%;
        z-index: 1;
        transition: 0.3s ease-out;
        background: var(--main-black);
        transform: translateX(-105%);
      }

      &.active {
        &::before {
          transform: translateX(0%);
        }
      }
    }
  }

  .wrap_nav {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
  }

  .all-slides-wrap {
    flex-grow: 1;
    width: calc(100% + 80px);
    padding: 0 40px;
    margin-left: -40px;
    height: auto;
    overflow: hidden;
    display: flex;
    margin-top: 8px;

    .wrap-content {
      display: flex;
      flex-direction: column;
      flex-grow: 1;
      overflow: auto;
      padding: 0;
      padding-top: 8px;
      padding-bottom: 20px;

      &.disable {
        display: none;
      }

      &::-webkit-scrollbar {
        display: none;
        width: 0;
      }

      & > *:nth-child(2) {
        margin-top: 32px;
      }

      .popup-header {
        display: flex;
        flex-direction: column;
        gap: 16px;

        .popup-header-text {
          font-family: var(--font-family);
          font-weight: 700;
          font-size: 42px;
          line-height: 100%;
          letter-spacing: -0.02em;
          color: var(--main-black);
          width: 70%;
        }

        .popup-text {
          font-family: var(--font-family);
          font-weight: 500;
          font-size: 16px;
          line-height: 140%;
          letter-spacing: -0.01em;
          color: #000;
        }

        .error_mes {
          margin: 0;
        }
      }

      .popup-box-wrap {
        display: flex;
        flex-direction: column;

        .select_type_lens {
          display: flex;
          flex-direction: column;
          gap: 8px;

          .type_lens {
            display: flex;
            flex-direction: column;
            gap: 8px;
            border-radius: 8px;
            padding: 20px;
            width: 100%;
            cursor: pointer;
            background: var(--white);
            transition: background 0.3s ease-out;

            .head_type_lens {
              font-family: var(--font-family);
              font-weight: 500;
              font-size: 24px;
              line-height: 110%;
              letter-spacing: -0.02em;
              color: var(--main-black);
            }

            .text_type_lens {
              font-family: var(--font-family);
              font-weight: 500;
              font-size: 16px;
              line-height: 140%;
              letter-spacing: -0.01em;
              color: #000;
            }

            .lens-select {
              margin-left: auto;
            }

            @media (hover: hover) {
              &:hover {
                background: #f1f0f1;

                .lens-select {
                  background: var(--white);
                  svg {
                    transform: rotate(90deg);
                    rect {
                      fill: #f1f0f1;
                    }
                  }
                }
              }
            }
          }
        }

        .type_lens_additions {
          display: flex;
          flex-direction: column;
          margin-top: 28px;
          gap: 20px;

          .lens_addition {
            display: flex;
            flex-direction: column;
            gap: 4px;

            .head_add {
              font-family: var(--font-family);
              font-weight: 500;
              font-size: 14px;
              line-height: 136%;
              letter-spacing: -0.02em;
              color: #262626;
              opacity: 0.4;
            }

            .text_add {
              font-family: var(--font-family);
              font-weight: 500;
              font-size: 16px;
              line-height: 140%;
              letter-spacing: -0.01em;
              color: #000;
            }
          }
        }

        .cards-lens {
          display: flex;
          flex-direction: column;
          gap: 8px;

          .card-lens {
            display: flex;
            flex-direction: column;
            gap: 18px;
            border-radius: 16px;
            padding: 16px;
            width: 100%;
            background: var(--white);
            cursor: pointer;
            transition: background 0.3s ease-out;

            .lens-info {
              display: flex;
              flex-direction: row;
              gap: 12px;

              .wrap-img-lens {
                display: flex;
                flex-direction: column;
                position: relative;
                width: 98px;
                flex-shrink: 0;
                height: fit-content;

                .l_card-img {
                  display: flex;
                  width: 100%;
                  object-fit: contain;
                }

                .l_card-icon {
                  position: absolute;
                  border-radius: 1000px;
                  padding: 6px;
                  width: 32px;
                  height: 32px;
                  background: var(--background-main);
                  bottom: 0px;
                  right: 0px;

                  & > * {
                    width: 100%;
                    height: 100%;
                  }
                }
              }

              .wrap-lens-inf {
                display: flex;
                flex-direction: column;
                gap: 16px;

                .head-lens {
                  display: flex;
                  flex-direction: column;
                  gap: 6px;

                  .head-info {
                    display: flex;
                    flex-direction: column;
                    gap: 4px;

                    .head-lens {
                      font-family: var(--font-family);
                      font-weight: 500;
                      font-size: 22px;
                      line-height: 110%;
                      letter-spacing: -0.02em;
                      color: var(--main-black);
                    }

                    .desc-head-lens {
                      font-family: var(--font-family);
                      font-weight: 600;
                      font-size: 14px;
                      line-height: 136%;
                      letter-spacing: -0.02em;
                      color: var(--main-black);
                      opacity: 0.4;
                    }
                  }

                  .tags-lens {
                    display: flex;
                    flex-direction: row;
                    gap: 8px;
                    flex-wrap: wrap;

                    .tag-lens {
                      display: flex;
                      border-radius: 4px;
                      padding: 4px;

                      font-family: var(--font-family);
                      font-weight: 600;
                      font-size: 12px;
                      line-height: 110%;
                      letter-spacing: -0.01em;
                      color: #000;
                    }
                  }
                }

                .desc-lens {
                  display: flex;
                  flex-direction: column;
                  gap: 16px;

                  &:has(.open-all-desc) .desc-p-lens {
                    -webkit-line-clamp: 5;
                    -webkit-box-orient: vertical;
                    overflow: hidden;
                    display: -webkit-box;
                  }

                  &.open:has(.open-all-desc) .desc-p-lens {
                    -webkit-line-clamp: none;
                  }

                  &.open .open-all-desc {
                    img,
                    svg {
                      transform: rotate(90deg);
                    }
                  }

                  .desc-p-lens {
                    font-family: var(--font-family);
                    font-weight: 500;
                    font-size: 16px;
                    line-height: 140%;
                    letter-spacing: -0.01em;
                    color: #000;
                  }

                  .open-all-desc {
                    display: flex;
                    cursor: pointer;
                    width: 100%;
                    justify-content: space-between;
                    padding: 0;

                    font-family: var(--font-family);
                    font-weight: 500;
                    font-size: 16px;
                    line-height: 140%;
                    letter-spacing: -0.01em;
                    color: #000;
                    transition: opacity 0.3s ease-out;

                    img,
                    svg {
                      width: 20px;
                      height: 20px;
                      transition: transform 0.3s ease-out;
                      transform: rotate(-90deg);
                    }

                    @media (hover: hover) {
                      &:hover {
                        opacity: 0.4;
                      }
                    }
                  }
                }
              }
            }

            .lens-price-button {
              display: flex;
              flex-direction: row;
              width: 100%;
              gap: 16px;
              align-items: center;
              justify-content: space-between;

              .lens-price {
                display: flex;
                flex-direction: row;
                gap: 4px;
                flex-grow: 1;
                align-items: end;

                .price {
                  font-family: var(--font-family);
                  font-weight: 500;
                  font-size: 22px;
                  line-height: 100%;
                  letter-spacing: -0.02em;
                  color: var(--main-black);
                }

                .price-info {
                  font-family: var(--font-family);
                  font-weight: 500;
                  font-size: 14px;
                  line-height: 110%;
                  letter-spacing: -0.02em;
                  color: var(--main-black);
                  opacity: 0.4;
                }
              }
            }

            @media (hover: hover) {
              &:hover {
                background: #f1f0f1;
                .lens-price-button {
                  .button-lens-select {
                    background: var(--white);

                    svg {
                      transform: rotate(90deg);
                      rect {
                        fill: #f1f0f1;
                      }
                    }
                  }
                }
              }
            }
          }
        }

        /* Выбор способа ввода рецепта */
        .recipe-selection-options {
          display: grid;
          grid-template-columns: 1fr 1fr;
          grid-auto-rows: 1fr;
          gap: 8px;

          .recipe-selection {
            border-radius: 8px;
            padding: 20px;
            background: var(--white);
            display: flex;
            flex-direction: column;
            gap: 16px;
            cursor: pointer;
            transition: background 0.3s ease-out;

            & > svg {
              width: 22px;
              height: 22px;
            }

            .wrap-info-recipe {
              display: flex;
              flex-direction: column;
              gap: 4px;

              .recipe-h {
                font-family: var(--font-family);
                font-weight: 500;
                font-size: 18px;
                line-height: 110%;
                letter-spacing: -0.02em;
                color: var(--main-black);
              }
              .recipe-t {
                font-family: var(--font-family);
                font-weight: 600;
                font-size: 14px;
                line-height: 136%;
                letter-spacing: -0.02em;
                color: var(--main-black);
                opacity: 0.4;
              }
            }

            .wrap-icon-recipe {
              display: flex;
              width: fit-content;
              margin-left: auto;
              margin-top: auto;
              background: var(--white);

              border-radius: 80px;
              padding: 6px;

              img,
              svg {
                width: 20px;
                height: 20px;
                transform: rotate(180deg);
              }
            }

            @media (hover: hover) {
              &:hover {
                background: #f1f0f1;
              }
            }
          }
        }

        /* форма ручного ввода рецепта */
        .manual-recipe-entry {
          display: flex;
          flex-direction: column;
          gap: 20px;
          border-radius: 8px;
          padding: 16px;
          background: var(--white);

          .heads-name {
            display: flex;
            flex-direction: row;
            gap: 8px;
            margin-left: 90px;

            .head-name {
              display: flex;
              flex-direction: column;
              align-items: center;
              width: 100%;

              .head-title {
                font-family: var(--font-family);
                font-weight: 500;
                font-size: 22px;
                line-height: 110%;
                letter-spacing: -0.02em;
                text-align: center;
                color: var(--main-black);
              }
              .head-desc {
                font-family: var(--font-family);
                font-weight: 600;
                font-size: 14px;
                line-height: 120%;
                letter-spacing: -0.02em;
                text-align: center;
                color: var(--main-black);
                opacity: 0.4;
              }
            }
          }

          .first-block-recipe,
          .last-block-recipe {
            display: flex;
            flex-direction: column;
            gap: 20px;

            .recipe-stroke {
              display: flex;
              flex-direction: row;
              gap: 4px;
              align-items: center;

              .recipe-head-stroke {
                display: flex;
                flex-direction: column;
                width: 100px;
                flex-shrink: 0;

                .head-stroke {
                  font-family: var(--font-family);
                  font-weight: 500;
                  font-size: 22px;
                  line-height: 110%;
                  letter-spacing: -0.02em;
                  color: var(--main-black);
                }
                .desc-stroke {
                  font-family: var(--font-family);
                  font-weight: 600;
                  font-size: 14px;
                  line-height: 100%;
                  letter-spacing: -0.02em;
                  color: var(--main-black);
                  opacity: 0.4;
                }
              }

              .wrap-dropbox-and-radio {
                display: flex;
                width: 100%;
                flex-direction: column;
                gap: 8px;

                .wrap-dropbox {
                  display: flex;
                  flex-direction: row;
                  gap: 4px;
                }

                .wrap-radio {
                  display: flex;
                  flex-direction: row;
                  align-items: center;
                  gap: 8px;
                  cursor: pointer;

                  span {
                    font-family: var(--font-family);
                    font-weight: 500;
                    font-size: 14px;
                    line-height: 140%;
                    letter-spacing: -0.01em;
                    color: var(--main-black);
                  }

                  .radio {
                    width: 20px;
                    aspect-ratio: 1;
                    background: none;
                    border: 1px solid #a8a8a8;
                    border-radius: 50%;
                    position: relative;
                    padding: 0;
                    outline: none;
                    transition: all 0.3s ease-out;

                    &::before {
                      content: "";
                      transition: all 0.3s ease-out;
                      position: absolute;
                      inset: 3px;
                      background-color: var(--brand-main);
                      border-radius: 50%;
                      pointer-events: none;
                      opacity: 0;
                      transition: opacity 0.3s ease-out;
                    }
                  }

                  &.active {
                    .radio {
                      border-color: var(--brand-main);

                      &::before {
                        opacity: 1;
                      }
                    }
                  }
                }
              }
            }
          }

          .line {
            width: 100%;
            height: 1px;
            background: var(--background-main);
          }

          .dropbox {
            display: flex;
            flex-direction: row;
            width: 100%;
            border: 1px solid rgba(0, 0, 0, 0.1);
            border-radius: 8px;
            padding: 10px;
            gap: 8px;
            align-items: center;
            cursor: pointer;
            position: relative;
            transition: background 0.3s ease-out;

            .val {
              font-family: var(--font-family);
              font-weight: 600;
              font-size: 16px;
              line-height: 140%;
              letter-spacing: -0.01em;
              flex-grow: 1;
              transition: opacity 0.3s ease-out;
            }

            & > img,
            & > svg {
              width: 24px;
              height: 24px;
              transform: rotate(-90deg);
              transition: transform 0.3s ease-out, opacity 0.3s ease-out;
              opacity: 0.4;
            }

            .dropbox-values {
              position: absolute;
              top: calc(100% + 2px);
              left: 0;
              width: 100%;
              opacity: 0;
              pointer-events: none;
              z-index: 1;
              display: flex;
              flex-direction: column;
              gap: 4px;
              overflow: auto;

              border-radius: 6px;
              padding: 10px;
              background: var(--background-main);
              max-height: 0;

              &.disable {
                display: none;
              }

              .dropbox-values-to-select {
                font-family: var(--font-family);
                font-weight: 600;
                font-size: 16px;
                line-height: 140%;
                letter-spacing: -0.01em;
                color: var(--gray-—-2);
                transition: color 0.3s ease-out;
              }
            }

            &.active {
              background: #dcdcdc;
              & > img,
              & > svg {
                transform: rotate(90deg);
              }
              .dropbox-values {
                opacity: 1;
                pointer-events: all;
              }

              &.top-d {
                .dropbox-values {
                  bottom: calc(100% + 2px);
                  top: unset;
                }
              }
              &.bottom-d {
                .dropbox-values {
                  bottom: unset;
                  top: calc(100% + 2px);
                }
              }
            }

            &.disable {
              background: transparent;
              pointer-events: none;

              .val,
              & > img,
              & > svg {
                opacity: 0.1;
              }
            }

            @media (hover: hover) {
              .dropbox-values-to-select:hover {
                color: var(--main-black);
              }
            }
          }
        }

        .error_mes {
          margin-top: 16px;
          margin-bottom: -12px;
        }

        .apprv_selected_recipe {
          display: flex;
          align-items: center;
          justify-content: center;
          border-radius: 8px;
          padding: 14px 16px;
          width: 100%;
          background: var(--main-black);
          cursor: pointer;
          transition: opacity 0.3s ease-out;
          margin-top: 16px;

          font-family: var(--font-family);
          font-weight: 600;
          font-size: 16px;
          line-height: 100%;
          letter-spacing: -0.02em;
          text-align: center;
          color: var(--white);

          @media (hover: hover) {
            &:hover {
              opacity: 0.7;
            }
          }

          &.loading {
            pointer-events: none;
            opacity: 0.5;
          }
        }
      }
    }

    .guid-lens {
      display: flex;
      border-radius: 100px;
      padding: 14px 16px;
      background: #edecec;
      transition: background 0.3s ease-out;
      cursor: pointer;
      width: fit-content;
      align-items: center;
      justify-content: center;

      font-family: var(--font-family);
      font-weight: 600;
      font-size: 16px;
      line-height: 100%;
      letter-spacing: -0.02em;
      text-align: center;
      color: var(--main-black);

      @media (hover: hover) {
        &:hover {
          background: #dcdcdc;
        }
      }

      &.mob {
        display: none;
      }
    }
  }

  .error_mes {
    font-family: var(--font-family);
    font-weight: 500;
    font-size: 14px;
    line-height: 140%;
    letter-spacing: -0.01em;
    color: #ff4b4b;
    margin-bottom: 8px;
    margin-top: -8px;
    width: 80%;
  }
}

/* /lens popup */

@media (max-width: 1024px) {
  /* lens popup */

  #popupLens.popup .popupFitting-content {
    width: 520px;
    max-width: 100%;
    padding: 24px 40px 0 40px;

    .step_slides {
      padding-bottom: 16px;
      gap: 4px;

      .step {
        border-radius: 1000px;
        height: 4px;
      }
    }

    .wrap_nav {
      button {
        width: 48px;
        height: 48px;
        padding: 12px;
        border-radius: 10000px;
      }
    }

    .all-slides-wrap {
      width: calc(100% + 80px);
      padding: 0 40px;
      margin-left: -40px;
      margin-top: 8px;

      .wrap-content {
        padding-top: 8px;
        padding-bottom: 20px;

        & > *:nth-child(2) {
          margin-top: 32px;
        }

        .popup-header {
          gap: 16px;

          .popup-header-text {
            font-size: 42px;
            width: 70%;
          }

          .popup-text {
            font-size: 16px;
          }

          .guid-lens {
            border-radius: 100px;
            padding: 14px 16px;
            font-size: 16px;
          }
        }

        .popup-box-wrap {
          .select_type_lens {
            gap: 8px;

            .type_lens {
              gap: 8px;
              border-radius: 8px;
              padding: 20px;

              .head_type_lens {
                font-size: 24px;
              }

              .text_type_lens {
                font-size: 16px;
              }
            }
          }

          .type_lens_additions {
            margin-top: 28px;
            gap: 20px;

            .lens_addition {
              gap: 4px;

              .head_add {
                font-size: 14px;
              }

              .text_add {
                font-size: 16px;
              }
            }
          }

          .cards-lens {
            gap: 8px;

            .card-lens {
              gap: 18px;
              border-radius: 16px;
              padding: 16px;

              .lens-info {
                gap: 12px;

                .wrap-img-lens {
                  width: 98px;

                  .l_card-icon {
                    border-radius: 1000px;
                    padding: 6px;
                    width: 32px;
                    height: 32px;
                  }
                }

                .wrap-lens-inf {
                  gap: 16px;

                  .head-lens {
                    gap: 6px;

                    .head-info {
                      gap: 4px;

                      .head-lens {
                        font-size: 22px;
                      }

                      .desc-head-lens {
                        font-size: 14px;
                      }
                    }

                    .tags-lens {
                      gap: 8px;

                      .tag-lens {
                        border-radius: 4px;
                        padding: 4px;
                        font-size: 12px;
                      }
                    }
                  }

                  .desc-lens {
                    gap: 16px;

                    .desc-p-lens {
                      font-size: 16px;
                    }

                    .open-all-desc {
                      font-size: 16px;

                      img,
                      svg {
                        width: 20px;
                        height: 20px;
                      }
                    }
                  }
                }
              }

              .lens-price-button {
                gap: 16px;

                .lens-price {
                  gap: 4px;

                  .price {
                    font-size: 22px;
                  }

                  .price-info {
                    font-size: 14px;
                  }
                }
              }
            }
          }

          /* Выбор способа ввода рецепта */
          .recipe-selection-options {
            gap: 8px;

            .recipe-selection {
              border-radius: 8px;
              padding: 20px;
              gap: 16px;

              & > svg {
                width: 22px;
                height: 22px;
              }

              .wrap-info-recipe {
                gap: 4px;

                .recipe-h {
                  font-size: 18px;
                }
                .recipe-t {
                  font-size: 14px;
                }
              }

              .wrap-icon-recipe {
                border-radius: 80px;
                padding: 6px;

                img,
                svg {
                  width: 20px;
                  height: 20px;
                }
              }
            }
          }

          /* форма ручного ввода рецепта */
          .manual-recipe-entry {
            gap: 20px;
            border-radius: 8px;
            padding: 16px;

            .heads-name {
              gap: 8px;
              margin-left: 90px;

              .head-name {
                .head-title {
                  font-size: 22px;
                }
                .head-desc {
                  font-size: 14px;
                }
              }
            }

            .first-block-recipe,
            .last-block-recipe {
              gap: 20px;

              .recipe-stroke {
                gap: 4px;

                .recipe-head-stroke {
                  width: 100px;

                  .head-stroke {
                    font-size: 22px;
                  }
                  .desc-stroke {
                    font-size: 14px;
                  }
                }

                .wrap-dropbox-and-radio {
                  gap: 8px;

                  .wrap-dropbox {
                    gap: 4px;
                  }

                  .wrap-radio {
                    gap: 8px;

                    span {
                      font-size: 14px;
                    }

                    .radio {
                      width: 20px;

                      &::before {
                        inset: 0.208vw;
                      }
                    }
                  }
                }
              }
            }

            .dropbox {
              border-radius: 8px;
              padding: 10px;
              gap: 8px;

              .val {
                font-size: 12px;
              }

              & > img,
              & > svg {
                width: 24px;
                height: 24px;
              }

              .dropbox-values {
                top: calc(100% + 2px);
                gap: 4px;

                border-radius: 6px;
                padding: 10px;

                .dropbox-values-to-select {
                  font-size: 14px;
                }
              }
            }
          }

          .apprv_selected_recipe {
            border-radius: 8px;
            padding: 14px 16px;
            font-size: 16px;
          }
        }
      }
    }

    .error_mes {
      font-size: 14px;
      margin-bottom: 8px;
      margin-top: -8px;
      width: 80%;
    }
  }

  /* /lens popup */
}

@media (max-width: 727px) {
  /* lens popup */

  #popupLens.popup .popupFitting-content {
    width: 100%;
    padding: 5vw /** 16px */ 5vw /** 16px */ 0 5vw /** 16px */;

    .step_slides {
      padding-bottom: 5vw /** 16px */;
      gap: 1.25vw /** 4px */;

      .step {
        border-radius: 312.5vw /** 1000px */;
        height: 1.25vw /** 4px */;
      }
    }

    .wrap_nav {
      button {
        width: 10vw /** 32px */;
        height: 10vw /** 32px */;
        padding: 2.5vw /** 8px */;
        border-radius: 3125vw /** 10000px */;
      }
    }

    .all-slides-wrap {
      width: calc(100% + 10vw /** 32px */);
      padding: 0 5vw /** 16px */;
      margin-left: -5vw /** -16px */;
      margin-top: 2.5vw /** 8px */;

      .wrap-content {
        padding-top: 0;
        padding-bottom: 5vw /** 16px */;

        & > *:nth-child(2) {
          margin-top: 7.5vw /** 24px */;
        }

        .popup-header {
          gap: 5vw /** 16px */;

          .popup-header-text {
            font-size: 10vw /** 32px */;
            width: 100%;
            line-height: 96%;
          }

          .popup-text {
            font-size: 4.375vw /** 14px */;
          }

          .guid-lens {
            border-radius: 31.25vw /** 100px */;
            padding: 4.375vw /** 14px */ 5vw /** 16px */;
            font-size: 5vw /** 16px */;
          }
        }

        .popup-box-wrap {
          .select_type_lens {
            gap: 2.5vw /** 8px */;

            .type_lens {
              gap: 1.25vw /** 4px */;
              border-radius: 2.5vw /** 8px */;
              padding: 3.75vw /** 12px */;

              .head_type_lens {
                font-size: 6.25vw /** 20px */;
              }

              .text_type_lens {
                font-size: 4.375vw /** 14px */;
              }

              .lens-select {
                margin-top: 1.25vw /** 4px */;
              }
            }
          }

          .type_lens_additions {
            margin-top: 5vw /** 16px */;
            gap: 5vw /** 16px */;

            .lens_addition {
              gap: 1.25vw /** 4px */;

              .head_add {
                font-size: 4.375vw /** 14px */;
                line-height: 140%;
                letter-spacing: -0.01em;
              }

              .text_add {
                font-size: 4.375vw /** 14px */;
              }
            }
          }

          .cards-lens {
            gap: 1.25vw /** 4px */;

            .card-lens {
              gap: 4.375vw /** 14px */;
              border-radius: 2.5vw /** 8px */;
              padding: 3.75vw /** 12px */;

              .lens-info {
                gap: 3.75vw /** 12px */;

                .wrap-img-lens {
                  width: 21.25vw /** 68px */;

                  .l_card-icon {
                    border-radius: 312.5vw /** 1000px */;
                    padding: 1.25vw /** 4px */;
                    width: 7.5vw /** 24px */;
                    height: 7.5vw /** 24px */;
                  }
                }

                .wrap-lens-inf {
                  gap: 3.75vw /** 12px */;

                  .head-lens {
                    gap: 2.5vw /** 8px */;

                    .head-info {
                      gap: 1.25vw /** 4px */;

                      .head-lens {
                        font-size: 5.625vw /** 18px */;
                      }

                      .desc-head-lens {
                        font-size: 3.75vw /** 12px */;
                      }
                    }

                    .tags-lens {
                      gap: 1.25vw /** 4px */;

                      .tag-lens {
                        border-radius: 1.25vw /** 4px */;
                        padding: 1.25vw /** 4px */;
                        font-size: 3.75vw /** 12px */;
                      }
                    }
                  }

                  .desc-lens {
                    gap: 5vw /** 16px */;

                    .desc-p-lens {
                      font-size: 4.375vw /** 14px */;
                    }

                    .open-all-desc {
                      font-size: 4.375vw /** 14px */;

                      img,
                      svg {
                        display: none;
                      }
                    }
                  }
                }
              }

              .lens-price-button {
                gap: 1.25vw /** 4px */;

                .lens-price {
                  gap: 1.25vw /** 4px */;

                  .price {
                    font-size: 5.625vw /** 18px */;
                  }

                  .price-info {
                    font-size: 3.75vw /** 12px */;
                  }
                }
              }
            }
          }

          /* Выбор способа ввода рецепта */
          .recipe-selection-options {
            gap: 2.5vw /** 8px */;

            .recipe-selection {
              border-radius: 2.5vw /** 8px */;
              padding: 3.75vw /** 12px */;
              gap: 3.75vw /** 12px */;

              & > svg {
                width: 6.875vw /** 22px */;
                height: 6.875vw /** 22px */;
              }

              .wrap-info-recipe {
                gap: 1.25vw /** 4px */;

                .recipe-h {
                  font-size: 5vw /** 16px */;
                }
                .recipe-t {
                  font-size: 3.75vw /** 12px */;
                }
              }

              .wrap-icon-recipe {
                border-radius: 25vw /** 80px */;
                padding: 1.875vw /** 6px */;

                img,
                svg {
                  width: 6.25vw /** 20px */;
                  height: 6.25vw /** 20px */;
                }
              }
            }
          }

          /* форма ручного ввода рецепта */
          .manual-recipe-entry {
            gap: 4.375vw /** 14px */;
            border-radius: 2.5vw /** 8px */;
            padding: 3.75vw /** 12px */;

            .heads-name {
              gap: 2.5vw /** 8px */;
              margin-left: 17.812vw /** 57px */;

              .head-name {
                .head-title {
                  font-size: 3.75vw /** 12px */;
                }
                .head-desc {
                  font-size: 3.75vw /** 12px */;
                }
              }
            }

            .first-block-recipe,
            .last-block-recipe {
              gap: 6.25vw /** 20px */;

              .recipe-stroke {
                gap: 1.25vw /** 4px */;

                .recipe-head-stroke {
                  width: 15.937vw /** 51px */;

                  .head-stroke {
                    font-size: 5vw /** 16px */;
                  }
                  .desc-stroke {
                    font-size: 3.75vw /** 12px */;
                  }
                }

                .wrap-dropbox-and-radio {
                  gap: 2.5vw /** 8px */;

                  .wrap-dropbox {
                    gap: 1.25vw /** 4px */;
                  }

                  .wrap-radio {
                    gap: 2.5vw /** 8px */;

                    span {
                      font-size: 4.375vw /** 14px */;
                    }

                    .radio {
                      width: 6.25vw /** 20px */;

                      &::before {
                        inset: 0.208vw;
                      }
                    }
                  }
                }
              }
            }

            .dropbox {
              border-radius: 2.5vw /** 8px */;
              padding: 3.125vw /** 10px */;
              gap: 2.5vw /** 8px */;

              .val {
                font-size: 3.75vw /** 12px */;
              }

              & > img,
              & > svg {
                width: 7.5vw /** 24px */;
                height: 7.5vw /** 24px */;
              }

              .dropbox-values {
                top: calc(100% + 2px);
                gap: 1.25vw /** 4px */;

                border-radius: 1.875vw /** 6px */;
                padding: 3.125vw /** 10px */;

                .dropbox-values-to-select {
                  font-size: 4.375vw /** 14px */;
                }
              }
            }
          }

          .apprv_selected_recipe {
            border-radius: 2.5vw /** 8px */;
            padding: 4.375vw /** 14px */ 5vw /** 16px */;
            font-size: 5vw /** 16px */;
          }
        }
      }

      .guid-lens {
        border-radius: 2.5vw /** 8px */;
        padding: 4.375vw /** 14px */ 5vw /** 16px */;
        font-size: 5vw /** 16px */;
        color: var(--main-black);
        background: #edecec;
        width: 100%;

        &.mob {
          display: flex;
        }

        &.desc {
          display: none;
        }
      }
    }

    .error_mes {
      font-size: 4.375vw /** 14px */;
      margin-bottom: 2.5vw /** 8px */;
      margin-top: -2.5vw /** -8px */;
      width: 80%;
    }
  }

  /* /lens popup */
}
